Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.core.util
Class ChildrenListImpl

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.AbstractEList<E>
                  org.eclipse.emf.common.util.BasicEList<Object>
                      org.eclipse.emf.ecp.internal.core.util.ChildrenListImpl

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<Object>, Collection<Object>, List<Object>, RandomAccess, org.eclipse.emf.common.util.EList<Object>, InternalChildrenList

    public class ChildrenListImpl

extends org.eclipse.emf.common.util.BasicEList<Object>
implements InternalChildrenList

Author:
  Eike Stepper
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`org.eclipse.emf.common.util.BasicEList.FastCompare<E>, org.eclipse.emf.common.util.BasicEList.UnmodifiableEList<E>`

Constructor Summary
`ChildrenListImpl(Object parent)` The ChildrenListImpl constructor.

Method Summary
`void` | `addChild(Object child)` Adds a child to the list.
`
`<T> void`
` | `addChildren(Collection<T> children)` Adds a list of children to the list.
`
`<T> void`
` | `addChildren(T... children)`
`void` | `addChildWithoutRefresh(Object child)`
`Object` | `getChild(int index)` Returns the object with this index from the list.
`Object[]` | `getChildren()` Returns the children of this list.
`Object` | `getParent()` Return the parent element of this list.
`boolean` | `hasChildren()` Whether this list has children.
`boolean` | `isComplete()` Whether this list is complete or not.
`boolean` | `isSlow()` Whether this list is slow or not.
`void` | `setComplete()`

Methods inherited from class org.eclipse.emf.common.util.BasicEList
`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, basicGet, clear, clone, contains, data, get, grow, indexOf, isEmpty, lastIndexOf, move, remove, setData, setUnique, shrink, size, toArray, toArray`

Methods inherited from class org.eclipse.emf.common.util.AbstractEList
`add, add, addAll, addAll, equals, hashCode, iterator, listIterator, listIterator, move, remove, removeAll, retainAll, set, toString`

Methods inherited from class java.util.AbstractList
`subList`

Methods inherited from class java.util.AbstractCollection
`containsAll`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecp.spi.core.util.InternalChildrenList
`size`

Methods inherited from interface java.util.List
`containsAll, subList`

Constructor Detail

### ChildrenListImpl

    public ChildrenListImpl(Object parent)

  The ChildrenListImpl constructor.

  Parameters:
    `parent` - the parent object of this `ChildrenListImpl`

Method Detail

### getParent

    public final Object getParent()

  Return the parent element of this list.

  Specified by:
    `getParent` in interface `InternalChildrenList`
  Returns:
    the parent of the list

### hasChildren

    public boolean hasChildren()

  Whether this list has children.

  Specified by:
    `hasChildren` in interface `InternalChildrenList`
  Returns:
    true if this list has children, false otherwise.

### getChildren

    public Object[] getChildren()

  Returns the children of this list.

  Specified by:
    `getChildren` in interface `InternalChildrenList`
  Returns:
    an array containing all children

### getChild

    public Object getChild(int index)

  Returns the object with this index from the list. Throws an IndexOutOfBoundException if index is invalid.

  Specified by:
    `getChild` in interface `InternalChildrenList`
  Parameters:
    `index` - the index of the element to get
  Returns:
    the element

### addChildWithoutRefresh

    public void addChildWithoutRefresh(Object child)

  Specified by:
    `addChildWithoutRefresh` in interface `InternalChildrenList`

### addChild

    public final void addChild(Object child)

  Adds a child to the list.

  Specified by:
    `addChild` in interface `InternalChildrenList`
  Parameters:
    `child` - the child

### addChildren

    public final <T> void addChildren(T... children)

  Specified by:
    `addChildren` in interface `InternalChildrenList`

### addChildren

    public final <T> void addChildren(Collection<T> children)

  Adds a list of children to the list.

  Specified by:
    `addChildren` in interface `InternalChildrenList`
  Parameters:
    `children` - a collection of new children

### isSlow

    public boolean isSlow()

  Whether this list is slow or not.

  Specified by:
    `isSlow` in interface `InternalChildrenList`
  Returns:
    true if it is slow, false otherwise

### isComplete

    public boolean isComplete()

  Whether this list is complete or not.

  Specified by:
    `isComplete` in interface `InternalChildrenList`
  Returns:
    true if it is complete, false otherwise

### setComplete

    public void setComplete()

  Specified by:
    `setComplete` in interface `InternalChildrenList`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.